Bug 656342 - Re-base icu4j to 4.2.1
Re-base icu4j to 4.2.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: icu4j (Show other bugs)
6.1
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Aniszczyk
Red Hat Satellite QA List
: Rebase
Depends On:
Blocks: 656329
  Show dependency treegraph
 
Reported: 2010-11-23 10:10 EST by Alexander Kurtakov
Modified: 2011-05-19 07:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: icu4j-4.2.1-4.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zx: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-11-23 10:10:16 EST
Update to version 4.2.1 is needed for the Eclipse SDK Helios update.
Comment 2 Chris Aniszczyk 2010-11-23 10:54:33 EST
I see 4.2.1 is already in Git.

What do we need to do?
Comment 3 Alexander Kurtakov 2010-11-23 11:02:24 EST
This bug is against RHEL which is in internal cvs.
Comment 4 Chris Aniszczyk 2010-12-02 20:22:28 EST
So I'm close to resolving this bug but it seems s390{x} on RHEL 6.1 doesn't have java 1.6 or I'm reading the logs wrong. On the last version of RHEL... icu4j built fine...

http://download.devel.redhat.com/brewroot/packages/icu4j/4.0.1/3.3.el6/data/logs/s390/root.log

The RHEL 6.1 build...

https://brewweb.devel.redhat.com/getfile?taskID=2938020&name=root.log

DEBUG util.py:280:  Executing command: /usr/bin/yum --installroot /var/lib/mock/RHEL-6.1-build-872922-261512/root/  resolvedep  'java-javadoc >= 1:1.6.0' 'ant >= 1.7.0' 'java-devel >= 1:1.6.0' 'jpackage-utils >= 0:1.5'
DEBUG util.py:256:  No Package Found for java-javadoc >= 1:1.6.0
DEBUG util.py:256:  0:ant-1.7.1-13.el6.s390
DEBUG util.py:256:  No Package Found for java-devel >= 1:1.6.0
DEBUG util.py:256:  0:jpackage-utils-1.7.5-3.12.el6.noarch
DEBUG util.py:319:  Child returncode was: 0

Who do I talk contact to see what's up with the s390 boxes?
Comment 6 Chris Aniszczyk 2010-12-03 19:20:21 EST
[zx@lightning RHEL-6]$ cvs commit
cvs commit: Examining .
**** Access allowed: caniszcz is in ACL for rpms/icu4j/RHEL-6.
*** Resolves:
***   Approved: rhbz#656342 (rhel-6.1.0?,pm_ack+)
*** Commit allowed
Moving off of RHEL 6.1 is not supported at this point
Contact RCM for assistance at release-engineering@redhat.com

Any idea what's up this error message?
Comment 7 Chris Aniszczyk 2010-12-03 19:54:21 EST
Successfully built now.

icu4j-4.2.1-3.el6

https://brewweb.devel.redhat.com/taskinfo?taskID=2940365
Comment 10 Chris Aniszczyk 2010-12-14 15:27:37 EST
What info do you need?

icu4j is a library used exclusively by Eclipse now.

Testing is basically using Eclipse.

Does that help?
Comment 18 errata-xmlrpc 2011-05-19 07:43:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0568.html

Note You need to log in before you can comment on or make changes to this bug.